@tailwind base;
@tailwind components;
@tailwind utilities;

body {
    @apply h-screen;
    @apply bg-slate-900;
}

main {
    @apply scroll-smooth;
}

main::-webkit-scrollbar {
    position: relative;
    width: 14px;
}

main::-webkit-scrollbar-track {
    border-radius: 20px;
    background: white;
}

main::-webkit-scrollbar-thumb {
    border: 4px solid white;
    border-radius: 20px;
    background: gray;
}

main::-webkit-scrollbar-thumb:hover {
    background: gray;
}

.btns button {
    box-shadow: rgba(0, 0, 0, 0.25) 0px 0px 5px 0px, rgba(0, 0, 0, 0.25) 0px 0px 1px 0px !important;
}

.socialLogin {
    position: relative;
}

.socialLogin:before {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 660px;
    background-image: url('/public/chat-bg.png');
    background-size: 90%;
    background-repeat: no-repeat;
    background-position: center;
    filter: blur(2px);
    -webkit-filter: blur(2px);
    content: '';
}

.socialLogin:after {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 660px;
    background-color: rgba(100, 116, 139, .85);
    content: '';
}

.socialLogin div {
    position: relative;
    z-index: 1;
}